<!DOCTYPE html>

<html>
<head>
  <link href="https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700,900" rel="stylesheet">
  <link href="https://cdn.jsdelivr.net/npm/@mdi/font@4.x/css/materialdesignicons.min.css" rel="stylesheet">
  <link href="https://cdn.jsdelivr.net/npm/vuetify@2.x/dist/vuetify.min.css" rel="stylesheet">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no, minimal-ui">

</head>
<body>

    <v-app id="app">
      <v-app-bar app>
      <v-app-bar-nav-icon></v-app-bar-nav-icon>

      <v-toolbar-title>Application</v-toolbar-title>

      <v-spacer></v-spacer>

      </v-app-bar>
      <v-main>
       <v-snackbar v-model="snackbar"
        >{{ notify }}</v-snackbar>
        <v-container> 
        <v-btn @click="wifi= true">Setting Wifi</v-btn>
        
         <v-btn @click="loadImg">Camera View</v-btn>
        
        <v-switch
            v-model="switchLight"
            label="Turn on Light !"
        ></v-switch>
        
         <v-form v-if="wifi" v-model="valid">
            <v-container>
            <v-row>
                <v-col
                cols="12"
                md="4"
                >
                <v-text-field
                    v-model="ssid"
                    label="SSID"
                    required
                ></v-text-field>
                </v-col>

                <v-col
                cols="12"
                md="4"
                >
                <v-text-field
                    v-model="password"
                    type="password"
                    label="Password"
                    required
                ></v-text-field>
                </v-col>
                
                <v-btn
                :disabled="!valid"
                color="success"
                class="mr-4"
                @click="validate"
            >
                Connexion
            </v-btn>
            
            </v-row>
            </v-container>
        </v-form>
        
        <v-img 
        v-if="cam"
        max-height="400"
        max-width="850"
        :src="img"
        ></v-img>
        
        
        </v-container>
      </v-main>
    </v-app>
    
<script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/vue@2.x/dist/vue.js"></script>
<script src="https://cdn.jsdelivr.net/npm/vuetify@2.x/dist/vuetify.js"></script>
<script src="https://unpkg.com/vue-router@3.4.9/dist/vue-router.js"></script>
<script src="./js/main.js"></script>

</body>
</html>